---
Name: systemd-timesyncd-conf
Description: Defines the rendered configuration filename for the systemd-timesyncd service
Documentation: |
  This Param defines the configuration filename to render the config template
  (defined by the Param `systemd-timesyncd-template`) to.

  If the Param definition does not start with a slash, then assume the file will be
  rendered to the default `/etc/systemd/timesyncd.conf.d/` directory.

  If the filename begins with a slash `/`, then attempt to `mkdir -p $(dirname <VALUE>`,
  and then render the config file to that path/filename.  In this case, it's up to the
  operator to ensure the defined directory/filename location is being utilized by the
  `systemd-timesyncd` service for reading configuration files.
Meta:
  color: blue
  icon: clock outline
  title: RackN Content
Schema:
  type: string
  default: rackn-timesyncd.conf
